

Gx=54150.

#######################################
# RTM filtering (Figure 5)
#######################################


Data/rtm-shot%.H: bin/updateAB.x bin/Testkzkhslc.x
	bin/Testkzkhslc.x < ${D}/dmDei$*iter1-slc.H outtag=Data/tmp-shot$*.H elseouttag=Data/V2noise$*.H zhout=1 kzkhout=0 shotnum=$* UD=1 >/dev/null 
	bin/updateAB.x naxis=3 alpha=-1. cg=1 file1=Data/tmp-shot$*.H outfile=$@ >/dev/null
	pycode/pyRemove.py Data/noise$*.H Data/tmp-shot$*.H

# Sum all the shot-gather together - no filtering
Data/rtm-total-nofilter.H: bin/SUMMING.x bin/updateAB.x 
	pycode/pyRemove.py Data/tmpBk1.H Data/tmpBk2.H
	bin/SUMMING.x nfile=10 naxis=4 file1=${D}/dmDei1iter1-slc.H file2=${D}/dmDei2iter1-slc.H file3=${D}/dmDei3iter1-slc.H file4=${D}/dmDei4iter1-slc.H file5=${D}/dmDei5iter1-slc.H file6=${D}/dmDei6iter1-slc.H file7=${D}/dmDei7iter1-slc.H file8=${D}/dmDei8iter1-slc.H file9=${D}/dmDei9iter1-slc.H file10=${D}/dmDei10iter1-slc.H outfile=Data/tmpBk1.H >/dev/null
	bin/SUMMING.x nfile=7 naxis=4 file1=${D}/dmDei11iter1-slc.H file2=${D}/dmDei12iter1-slc.H file3=${D}/dmDei13iter1-slc.H file4=${D}/dmDei14iter1-slc.H file5=${D}/dmDei15iter1-slc.H file6=${D}/dmDei16iter1-slc.H file7=Data/tmpBk1.H outfile=Data/tmpBk2.H >/dev/null
	bin/updateAB.x naxis=3 alpha=-1. cg=1 file1=Data/tmpBk2.H outfile=$@ >/dev/null
	pycode/pyRemove.py Data/tmpBk1.H Data/tmpBk2.H


# Sum all the shot-gather together - with filtering
Data/rtm-total-filter.H: bin/SUMMING.x Data/rtm-shot1.H Data/rtm-shot2.H Data/rtm-shot3.H Data/rtm-shot4.H Data/rtm-shot5.H Data/rtm-shot6.H Data/rtm-shot7.H Data/rtm-shot8.H Data/rtm-shot9.H Data/rtm-shot10.H Data/rtm-shot11.H Data/rtm-shot12.H Data/rtm-shot13.H Data/rtm-shot14.H Data/rtm-shot15.H Data/rtm-shot16.H
	pycode/pyRemove.py Data/tmpBk1.H 
	bin/SUMMING.x nfile=10 naxis=3 file1=Data/rtm-shot1.H file2=Data/rtm-shot2.H file3=Data/rtm-shot3.H file4=Data/rtm-shot4.H file5=Data/rtm-shot5.H file6=Data/rtm-shot6.H file7=Data/rtm-shot7.H file8=Data/rtm-shot8.H file9=Data/rtm-shot9.H file10=Data/rtm-shot10.H outfile=Data/tmpBk1.H >/dev/null
	bin/SUMMING.x nfile=7 naxis=3 file1=Data/rtm-shot11.H file2=Data/rtm-shot12.H file3=Data/rtm-shot13.H file4=Data/rtm-shot14.H file5=Data/rtm-shot15.H file6=Data/rtm-shot16.H file7=Data/tmpBk1.H outfile=$@ >/dev/null
	pycode/pyRemove.py Data/tmpBk1.H 

#######################################
# LSRTM filtering (Figure 6)
#######################################


Data/lsrtm-shot%.H: bin/Testkzkhslc.x
	bin/Testkzkhslc.x < ${D}/dmDei$*iter20-slc.H outtag=$@ elseouttag=Data/noise$*.H zhout=1 kzkhout=0 shotnum=$* UD=1 >/dev/null 
	pycode/pyRemove.py Data/noise$*.H 

do%:
	python pycode/pyRemove.py Data/lsrtm-shot$*.H
	make Data/lsrtm-shot$*.H

Winall: do1 do2 do3 do4 do5 do6 do7 do8 do9 do10 do11 do12 do13 do14 do15 do16


# Sum all the shot-gather together - no filtering
Data/lsrtm-total-nofilter.H: bin/updateAB.x
	bin/updateAB.x file1=${D}/lsrtm-total-nofilter.H naxis=3 alpha=1. cg=1 outfile=$@ >/dev/null
	Window3d < /data/sep/mandyman/Deimos/LSM/B/m/mDeiBTotaliter20.H n3=1 f3=14 > $@
	echo "label1=z(m) label2=x(m) label3=hx(m) label4=y(m)" >>$@

# Sum all the shot-gather together - with filtering
Data/lsrtm-total-filter.H: bin/SUMMING.x bin/updateAB.x Data/lsrtm-shot1.H Data/lsrtm-shot2.H Data/lsrtm-shot3.H Data/lsrtm-shot4.H Data/lsrtm-shot5.H Data/lsrtm-shot6.H Data/lsrtm-shot7.H Data/lsrtm-shot8.H Data/lsrtm-shot9.H Data/lsrtm-shot10.H Data/lsrtm-shot11.H Data/lsrtm-shot12.H Data/lsrtm-shot13.H Data/lsrtm-shot14.H Data/lsrtm-shot15.H Data/lsrtm-shot16.H
	pycode/pyRemove.py Data/tmpBk1.H 
	bin/SUMMING.x nfile=10 naxis=3 file1=Data/lsrtm-shot1.H file2=Data/lsrtm-shot2.H file3=Data/lsrtm-shot3.H file4=Data/lsrtm-shot4.H file5=Data/lsrtm-shot5.H file6=Data/lsrtm-shot6.H file7=Data/lsrtm-shot7.H file8=Data/lsrtm-shot8.H file9=Data/lsrtm-shot9.H file10=Data/lsrtm-shot10.H outfile=Data/tmpBk1.H >/dev/null
	bin/SUMMING.x nfile=7 naxis=3 file1=Data/lsrtm-shot11.H file2=Data/lsrtm-shot12.H file3=Data/lsrtm-shot13.H file4=Data/lsrtm-shot14.H file5=Data/lsrtm-shot15.H file6=Data/lsrtm-shot16.H file7=Data/tmpBk1.H outfile=dmTotal-iter20.H >/dev/null
	bin//updateAB.x alpha=0.00667982619908 beta=0.797934064556 naxis=3 file1=dmTotal-iter20.H file2=${D}/sTotaliter19.H outfile=Data/sTotaliter20.H >/dev/null
	bin//updateAB.x alpha=1.0 beta=1.0 naxis=3 file1=${D}/mTotaliter19.H file2=Data/sTotaliter20.H outfile=$@ >/dev/null
	pycode/pyRemove.py Data/tmpBk1.H dmTotal-iter20.H Data/sTotaliter20.H


#===========================

viewAng: 
	python ~/Setup/pyRemove.py  filter/dmDeiCbup5after1.H filter/dmDeiCbup5after2.H filter/dmDeiCbupAng1.H filter/dmDeiCbupAng2.H
	make filter/dmDeiCbup5after1.H filter/dmDeiCbup5after2.H;
	make filter/dmDeiCbupAng1.H filter/dmDeiCbupAng2.H
	rm -f  Fig/dmDeiCbup-before.v Fig/dmDeiCbup-after1.v Fig/dmDeiCbup-after2.v
	make Fig/dmDeiCbup-before.v
	make Fig/dmDeiCbup-after1.v
	make Fig/dmDeiCbup-after2.v
	tube Fig/dmDeiCbup-before.v Fig/dmDeiCbup-after1.v Fig/dmDeiCbup-after2.v




viewAngfast: 
#	python ~/Setup/pyRemove.py  filter/dmDeiafter1fast.H filter/dmDeiafter2fast.H filter/dmDeiCbupAng1.H filter/dmDeiCbupAng2.H
#	make filter/dmDeiafter1fast.H filter/dmDeiafter2fast.H
#	make filter/dmDeiCbupAng1.H filter/dmDeiCbupAng2.H
	rm -f  Fig/dmDeiCbup-before.v Fig/dmDeiCbup-after1.v Fig/dmDeiCbup-after2.v
	make Fig/dmDeiCbup-before.v
	make Fig/dmDeiCbup-after1.v
	make Fig/dmDeiCbup-after2.v
	tube Fig/dmDeiCbup-before.v Fig/dmDeiCbup-after1.v Fig/dmDeiCbup-after2.v

